+/*
+ * __ __
+ * \ \/ /_ __ ___ ___ ___ _ _ _ __ ___ ___ ___
+ * \ /| '__/ _ \/ __|/ _ \| | | | '__/ __/ _ \/ __|
+ * _ / \| | | __/\__ \ (_) | |_| | | | (_| __/\__ \
+ * (_)_/\_\_| \___||___/\___/ \__,_|_| \___\___||___/
+ *
+*/
+
/* nord */
#define nord0 #2E3440
#set vi mode
set -o vi
+ufetch-arch
+
# ibus
export GTK_IM_MODULE=ibus
export XMODIFIERS=@im=ibus
source fzfutil
+export NINEIT_USERNAME=pinosaur
export LF_ICONS="\
di=:\
fi=:\
-XF86Audio{Mute,LowerVolume,RaiseVolume}
- amixer sset Master {0,5-,5+} &\
- refresh_blocks 10
+XF86Audio{LowerVolume,RaiseVolume}
+ pulsemixer --change-volume {-5,+5} &\
+ refresh_blocks 10
+
+XF86Audio{Mute}
+ pulsemixer --toggle-mute &\
+ refresh_blocks 10
super + b
brave
super + m
st ncmpcpp
+super + s
+ st pulsemixer
+
super + {Down,Left,Right}
mpc {toggle,prev,next}
alt + s
- scrot ~/Downloads/screenshots/ &&\
- notify-send "Fullscreen screenshot taken" -i ""
+ screenshot -f
alt + shift + s
- scrot -u ~/Downloads/screenshots/ &&\
- notify-send "Windowed screenshot taken" -i ""
+ screenshot -w
{Home,End}
mod_brightness {0.1,-0.1}
(
cd "$boards_path"
board="new_board"
- mode=$(echo -e "o\nn" | dmenu -i -p "Open board (O) or create new board (N)?")
+ mode=$(printf "o\nn" | dmenu -i -p "Open board (O) or create new board (N)?")
[ $mode = "n" ] && board=$(dmenu -p "Choose a name for the board") || \
[ $mode = "o" ] && board=$(ls -1 | dmenu -i -p "Choose board to open")
--- /dev/null
+#!/bin/sh
+
+[ -z "$1" ] && printf "screenshot =-=-=-=-=\n-f for fullscreen screenshot\n-w for windowed screenshot\n" && exit 1
+
+screen_dir="$HOME/Downloads/screenshots" # no ending slash
+
+screen_name="$(printf "" | dmenu -p 'Screenshot name:')" # dmenu problem where it doesnt show up unless an input is given
+[ -z "$screen_name" ] && screen_name="screen_$(date +'%m%d%H%M')"
+
+screen_name="$screen_dir/$screen_name.png"
+
+case $1 in
+ -f|--full) scrot "$screen_name" && notify-send "Fullscreen screenshot taken - $screen_name" -i "";;
+ -w|--win) scrot -u "$screen_name" && notify-send "Windowed screenshot taken - $screen_name" -i "";;
+esac
[ $bat -gt "63" ] && icon=""
[ $bat -gt "88" ] && icon=""
-echo -e "$icon $bat%"
+echo "$icon $bat%"
#!/bin/sh
dte="$(date +"%a, %b %d %H:%M")"
-echo -e " $dte"
+echo " $dte"
# alternate to display total mem too
#mem="$(df -h | grep /dev/sda5 | awk '{printf "%s:%s", $3, $2}')"
mem="$(df -h | grep /dev/sda5 | awk '{print $3}')"
-echo -e " $mem"
+echo " $mem"
# alternate script to display total ram too
#ram="$(free -t -m | grep Mem | awk '{printf "%sM:%sM", $3, $2}')"
ram="$(free -t -m | grep Mem | awk '{printf "%sM", $3}')"
-echo -e " $ram"
+echo " $ram"
#!/bin/sh
-volume="$(amixer sget Master | grep 'Mono:' | awk -F'[][]' '{ print $2 }')"
+# Audio status for pulseaudio with pulsemixer
+
+volume="$(pulsemixer --get-volume | awk '{ print $1 }')"
icon=""
-[ ${volume%\%} -gt "0" ] && icon=""
-[ ${volume%\%} -gt "50" ] && icon=""
-[ ${volume%\%} -gt "75" ] && icon=""
-echo -e "$icon $volume"
+[ "$volume" -gt "0" ] && icon=""
+[ "$volume" -gt "50" ] && icon=""
+[ "$volume" -gt "75" ] && icon=""
+
+[ "$(pulsemixer --get-mute)" = 1 ] && icon="ﱝ" && volume="XX"
+printf "$icon $volume%%"
--- /dev/null
+#!/bin/sh
+#
+# ufetch-arch - tiny system info for arch
+
+## INFO
+
+# user is already defined
+hostname="$(cat /etc/hostname)"
+os='Arch Linux'
+host="$(cat /sys/devices/virtual/dmi/id/product_name) $(cat /sys/devices/virtual/dmi/id/product_family)"
+kernel="$(uname -sr)"
+uptime="$(uptime -p | sed 's/up //')"
+packages="$(pacman -Q | wc -l)"
+shell="$(basename "${SHELL}")"
+term="$TERM"
+
+## UI DETECTION
+
+parse_rcs() {
+ for f in "${@}"; do
+ wm="$(tail -n 1 "${f}" 2> /dev/null | cut -d ' ' -f 2)"
+ [ -n "${wm}" ] && echo "${wm}" && return
+ done
+}
+
+rcwm="$(parse_rcs "${HOME}/.xinitrc" "${HOME}/.xsession")"
+
+ui='unknown'
+uitype='UI'
+if [ -n "${DE}" ]; then
+ ui="${DE}"
+ uitype='DE'
+elif [ -n "${WM}" ]; then
+ ui="${WM}"
+ uitype='WM'
+elif [ -n "${XDG_CURRENT_DESKTOP}" ]; then
+ ui="${XDG_CURRENT_DESKTOP}"
+ uitype='DE'
+elif [ -n "${DESKTOP_SESSION}" ]; then
+ ui="${DESKTOP_SESSION}"
+ uitype='DE'
+elif [ -n "${rcwm}" ]; then
+ ui="${rcwm}"
+ uitype='WM'
+elif [ -n "${XDG_SESSION_TYPE}" ]; then
+ ui="${XDG_SESSION_TYPE}"
+fi
+
+ui="$(basename "${ui}")"
+
+## DEFINE COLORS
+
+# probably don't change these
+if [ -x "$(command -v tput)" ]; then
+ bold="$(tput bold)"
+ black="$(tput setaf 0)"
+ red="$(tput setaf 1)"
+ green="$(tput setaf 2)"
+ yellow="$(tput setaf 3)"
+ blue="$(tput setaf 4)"
+ magenta="$(tput setaf 5)"
+ cyan="$(tput setaf 6)"
+ white="$(tput setaf 7)"
+ reset="$(tput sgr0)"
+fi
+
+# you can change these
+lc="${reset}${bold}${blue}" # labels
+nc="${reset}${bold}${yellow}" # user and hostname
+ic="${reset}" # info
+c0="${reset}${cyan}" # first color
+
+## OUTPUT
+
+
+cat <<EOF
+
+${c0} /\\ ${nc}${USER}${ic}@${nc}${hostname}${reset}
+${c0} / \\ ${lc}OS: ${ic}${os}${reset}
+${c0} /\\ \\ ${lc}KERNEL: ${ic}${kernel}${reset}
+${c0} / __ \\ ${lc}HOST: ${ic}${host}${reset}
+${c0} / ( ) \\ ${lc}UPTIME: ${ic}${uptime}${reset}
+${c0} / __| |__\\\\ ${lc}PACKAGES: ${ic}${packages}${reset}
+${c0} /.\` \`.\\ ${lc}SHELL: ${ic}${shell}${reset}
+ ${lc}${uitype}: ${ic}${ui}${reset}
+ ${bold}${red}██${green}██${yellow}██${blue}██${magenta}██${cyan}██${white}██${reset} ${lc}TERM: ${ic}${term}${reset}
+
+EOF